=== debian/tests/control ===
Tests: cryptdisks
Depends: cryptsetup
Restrictions: allow-stderr, needs-root, isolation-machine
