## cryptsetup 2.4.3-1ubuntu1.1+11.0trisquel0

=== debian/changelog ===
cryptsetup (2:2.4.3-1ubuntu1.1+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 06:39:45 +0000
