## cryptsetup 2.4.3-1ubuntu1.1+11.0trisquel1

=== debian/changelog ===
cryptsetup (2:2.4.3-1ubuntu1.1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:39:23 +0000
