## cryptsetup 2.5.0~rc1

=== debian/changelog ===
cryptsetup (2:2.5.0~rc1-3) experimental; urgency=medium

  * DEP-8: Add 'Features: test-name=' in order to name inline tests.
  * d/t/control: Add 'Restrictions: rw-build-tree' to upstream-testsuite.
  * d/control: Remove cryptsetup-reencrypt from cryptsetup-bin package
    description since the utility was removed upstream in v2.5.0-rc1.
  * d/changelog: Retroactively correct 2:2.4.0~rc0-1+exp1 entry.
  * Update d/patches with what's landed upstream since v2.5.0-rc1.
  * d/patches, d/rules: Pass $(LDFLAGS) when building fake_token_path.so and
    no longer silence blhc(1) for test files.
  * Move SSH token plugin stuff into new binary package 'cryptsetup-ssh'.
    That plugin is arguably not useful for everyone and we can save the
    'Depends: libssh-4' on cryptsetup-bin by moving cryptsetup-ssh(8) and
    libcryptsetup-token-ssh.so to a separate package.  Since LUKS2 SSH token
    support was added after the Bullseye release, and since it is still in
    experimental stage, we don't let cryptsetup-bin or cryptsetup depend on
    the new binary package.  Users who need that feature will need to install
    it manually.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 21 Jul 2022 20:41:20 +0200

cryptsetup (2:2.5.0~rc1-2) experimental; urgency=medium

  * localtest: Treat skipped tests as failure for full coverage.
  * d/watch: Add uversionmangle option for release candidates.
  * unit-wipe-test: Skip DIO tests when the file system doesn't support
    O_DIRECT.  This is needed on the buildds where the source tree appears to
    be on a tmpfs.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 15 Jul 2022 20:49:13 +0200

cryptsetup (2:2.5.0~rc1-1) experimental; urgency=low

  * New upstream release candidate 2.5.0.  Highlights include:
    + Remove cryptsetup-reencrypt(8) executable, use `cryptsetup reencrypt`
      instead (for both LUKS1 and LUKS2).
    + Split manual pages into per-action pages, for instance cryptsetup-open.8
      which can be consulted with `man cryptsetup open`.
    + Add LUKS2 encryption removal support with `cryptsetup reencrypt
      --decrypt`.
    + Preserve unknown metadata option (features implemented in more recent
      cryptsetup releases) during reencryption.
  * Salsa CI's deploy stage: Use a Bullseye image.
  * Salsa CI's deploy stage: Use apt-get(8) not apt(8).
  * Salsa CI's deploy stage: Replace `cp` with `install`.
  * Salsa CI's reprotest job: Remove '--no-diffoscope' flag.
  * Salsa CI's reprotest job: Update reason for running under 'nocheck' build
    profile.
  * d/README.source: Update text to reflect current practices.
  * DEP-8: Run installed binaries and libraries through the full upstream test
    suite (needs machine-level isolation).
  * Retroactivately add NEWS.Debian for #949336.
  * d/t/control: Add 'Depends: xxd' for 'Tests: cryptdisks' stanza.
  * foreach_cryptdev(): Process each device *after* its slaves.
  * do_stop(): Remove device holders beforehand. (Closes: #1006802)
  * Fix space damage.
  * d/u/metadata: Add FAQ URL.
  * Refresh lintian overrides to accommodate lintian v2.115.
  * d/control: New Build-Depends: asciidoctor (unless under 'nodoc' build
    profile).
  * d/cryptsetup.docs: Fix FAQ filename.
  * Move usr/share/man/*/* glob to debian/*.manpages where it belongs.
  * Update d/libcryptsetup12.symbols.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update d/copyright.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 15 Jul 2022 01:49:59 +0200
