=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
-Build-Depends: autoconf,
+Build-Depends: asciidoctor <!nodoc>,
+               autoconf,
                automake (>= 1:1.12),
                autopoint,
                debhelper-compat (= 13),
@@ -31,7 +31,7 @@
                uuid-dev,
                xsltproc <!nodoc>,
                xxd <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/cryptsetup/cryptsetup
 Vcs-Browser: https://salsa.debian.org/cryptsetup-team/cryptsetup
 Vcs-Git: https://salsa.debian.org/cryptsetup-team/cryptsetup.git -b debian/latest
@@ -43,8 +43,7 @@
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: cryptsetup-initramfs
-Suggests: dosfstools, keyutils, liblocale-gettext-perl
+Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
 Replaces: cryptsetup-run (<< 2:2.1.0-6)
 Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
@@ -72,16 +71,34 @@
  device mapper target dm-crypt. It features integrated Linux Unified Key
  Setup (LUKS) support.
  .
- This package provides cryptsetup, cryptsetup-reencrypt, integritysetup
- and veritysetup.
+ This package provides the cryptsetup, integritysetup and veritysetup
+ utilities.
+
+Package: cryptsetup-ssh
+Architecture: linux-any
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: cryptsetup-bin (>= ${source:Version})
+Breaks: cryptsetup (<< 2:2.5.0~rc1-3), cryptsetup-bin (<< 2:2.5.0~rc1-3)
+Replaces: cryptsetup (<< 2:2.5.0~rc1-3), cryptsetup-bin (<< 2:2.5.0~rc1-3)
+Description: disk encryption support - experimental SSH token handler
+ Cryptsetup provides an interface for configuring encryption on block
+ devices (such as /home or swap partitions), using the Linux kernel
+ device mapper target dm-crypt. It features integrated Linux Unified Key
+ Setup (LUKS) support.
+ .
+ This package provides the cryptsetup-ssh(8) utility and an SSH token plugin
+ which can be used to unlock LUKS2 devices using a remote keyfile hosted on a
+ system accessible through SSH.  This is currently an *experimental* feature
+ and mostly serves as a demonstration of the plugin interface API.
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox-initramfs,
+Depends: busybox | busybox-static,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd, plymouth
+Recommends: console-setup, kbd
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
 Description: disk encryption support - initramfs integration
@@ -93,7 +110,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
+Architecture: linux-any
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
@@ -153,7 +170,6 @@
 Package: cryptsetup-udeb
 Section: debian-installer
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Architecture: linux-any
 Depends: dmsetup-udeb, ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - commandline tools (udeb)
@@ -167,7 +183,6 @@
 Package: libcryptsetup12-udeb
 Section: debian-installer
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - shared library (udeb)
