=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/dpkg/buildtools.mk
 
-ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
-  with_udeb = yes
-endif
-
 CONFFLAGS =
 
 # Used e.g. for manpages (to build them in a reprodicible way)
@@ -22,6 +18,10 @@
 %:
 	dh $@
 
+ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+CONFFLAGS += --disable-asciidoc
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS) \
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
@@ -29,7 +29,6 @@
 		--with-tmpfilesdir=/usr/lib/tmpfiles.d \
 		--enable-libargon2 \
 		--enable-shared \
-		--enable-fips \
 		--enable-cryptsetup-reencrypt
 
 execute_after_dh_auto_build:
@@ -55,10 +54,6 @@
 
 	# generate gettext po files (for luksformat)
 	$(MAKE) -C debian/scripts/po all luksformat.pot
-
-execute_before_dh_auto_test:
-	# tests/fake_token_path.c is compiled without '-Wl,-z,relro -Wl,-z,now'
-	@echo "blhc: ignore-line-regexp: gcc\\s.*\\s\\.\\./tests/[0-9A-Za-z_-]+\\.c\\s.*"
 
 execute_after_dh_auto_install:
 	# install gettext po files (for luksformat)
@@ -88,14 +83,10 @@
 execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
-ifneq ($(DEB_HOST_ARCH),i386)
 	chmod 0755 debian/cryptsetup-suspend/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
 	chmod 0755 debian/cryptsetup-suspend/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
-endif
-ifeq ($(with_udeb),yes)
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*
-endif
 
 execute_after_dh_fixperms-indep:
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
