=== debian/tests/control ===
# Run the installed binaries and libraries through the full upstream test suite.
Features: test-name=upstream-testsuite
Test-Command: make -C ./tests -f Makefile.localtest -j tests CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y
Depends: cryptsetup-bin,
# to compile tests/*.c
  gcc,
  libcryptsetup-dev,
  libdevmapper-dev,
#
# for hexdump(1)
  bsdextrautils,
# for dmsetup(8)
  dmsetup,
# for expect(1)
  expect,
# for jq(1)
  jq,
# for keyctl(1)
  keyutils,
# for modprobe(8) and rmmod(8)
  kmod,
# for free(1)
  procps,
# for uuencode(1)
  sharutils,
# for xxd(1)
  xxd
#
# Use machine-level isolation since some extra tests want to interact
# with the kernel, load modules, and create/remove loop devices
Restrictions: allow-stderr, needs-root, isolation-machine, rw-build-tree

# Run ./tests/ssh-plugin-test on its own since it has its own dependency set.
Features: test-name=ssh-plugin-test
Test-Command: cd ./tests && CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y RUN_SSH_PLUGIN_TEST=y ./ssh-plugin-test
Depends: cryptsetup-bin,
         cryptsetup-ssh,
         netcat-openbsd,
         openssh-client,
         openssh-server,
         openssl,
         sshpass
Restrictions: needs-root, isolation-machine


Tests: cryptdisks, cryptdisks.init
Depends: cryptsetup, xxd
Restrictions: allow-stderr, needs-root, isolation-machine
