=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cryptsetup
 Section: admin
 Priority: optional
-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cryptsetup Team <pkg-cryptsetup-devel@alioth-lists.debian.net>
 Uploaders: Jonas Meurer <jonas@freesources.org>,
            Guilhem Moulin <guilhem@debian.org>
 Rules-Requires-Root: no
@@ -43,7 +44,8 @@
          dmsetup,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: cryptsetup-initramfs, dosfstools, keyutils, liblocale-gettext-perl
+Recommends: cryptsetup-initramfs
+Suggests: dosfstools, keyutils, liblocale-gettext-perl
 Replaces: cryptsetup-run (<< 2:2.1.0-6)
 Breaks: cryptsetup-run (<< 2:2.1.0-6)
 Description: disk encryption support - startup scripts
@@ -94,13 +96,14 @@
 
 Package: cryptsetup-initramfs
 Architecture: all
-Depends: busybox | busybox-static,
+Depends: busybox-initramfs,
          cryptsetup (>= ${source:Version}),
          initramfs-tools (>= 0.137) | linux-initramfs-tool,
          ${misc:Depends}
-Recommends: console-setup, kbd
+Recommends: console-setup, kbd, plymouth
 Breaks: cryptsetup (<< 2:2.0.3-1)
 Replaces: cryptsetup (<< 2:2.0.3-1)
+Conflicts: lvm2 (<< 2.03.15-1)
 Description: disk encryption support - initramfs integration
  Cryptsetup provides an interface for configuring encryption on block
  devices (such as /home or swap partitions), using the Linux kernel
@@ -110,7 +113,7 @@
  This package provides initramfs integration for cryptsetup.
 
 Package: cryptsetup-suspend
-Architecture: linux-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: foreign
 Depends: cryptsetup-initramfs (>= ${source:Version}),
          initramfs-tools-core,
@@ -170,6 +173,7 @@
 Package: cryptsetup-udeb
 Section: debian-installer
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: linux-any
 Depends: dmsetup-udeb, ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - commandline tools (udeb)
@@ -183,6 +187,7 @@
 Package: libcryptsetup12-udeb
 Section: debian-installer
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: disk encryption support - shared library (udeb)
