=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 %:
 	dh $@
 
-ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 CONFFLAGS += --disable-asciidoc
 endif
 
@@ -40,7 +40,7 @@
 	$(CC) -o debian/scripts/suspend/cryptsetup-suspend debian/scripts/suspend/cryptsetup-suspend.c \
 		 -Wall -Werror $(CFLAGS) $(CPPFLAGS) -I$(CURDIR)/lib $(LDFLAGS) -L$(CURDIR)/.libs -lcryptsetup -pedantic
 
-ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	# generate manpages
 	sed 's/VERSION/$(DEB_VERSION)/;s/DATE/$(DEB_DATE)/' \
 		debian/doc/variables.xml.in >debian/doc/variables.xml
@@ -83,10 +83,14 @@
 execute_after_dh_fixperms-arch:
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup/lib/cryptsetup/scripts/decrypt_*
+ifneq ($(DEB_HOST_ARCH),i386)
 	chmod 0755 debian/cryptsetup-suspend/lib/cryptsetup/scripts/suspend/cryptsetup-suspend-wrapper
 	chmod 0755 debian/cryptsetup-suspend/lib/systemd/system-shutdown/cryptsetup-suspend.shutdown
+endif
+ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/checks/*
 	chmod 0755 debian/cryptsetup-udeb/lib/cryptsetup/scripts/decrypt_*
+endif
 
 execute_after_dh_fixperms-indep:
 	chmod 0755 debian/cryptsetup-initramfs/usr/share/cryptsetup/initramfs/bin/*
