=== debian/tests/control ===
--- 
+++ 
@@ -30,9 +30,9 @@
 # with the kernel, load modules, and create/remove loop devices
 Restrictions: allow-stderr, needs-root, isolation-machine, rw-build-tree
 
-# Run ./tests/ssh-plugin-test on its own since it has its own dependency set.
-Features: test-name=ssh-plugin-test
-Test-Command: cd ./tests && CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y RUN_SSH_PLUGIN_TEST=y ./ssh-plugin-test
+# Run ./tests/ssh-test-plugin on its own since it has its own dependency set.
+Features: test-name=ssh-test-plugin
+Test-Command: cd ./tests && CRYPTSETUP_PATH=/sbin TESTSUITE_NOSKIP=y RUN_SSH_PLUGIN_TEST=y ./ssh-test-plugin
 Depends: cryptsetup-bin,
          cryptsetup-ssh,
          netcat-openbsd,
@@ -46,3 +46,52 @@
 Tests: cryptdisks, cryptdisks.init
 Depends: cryptsetup, xxd
 Restrictions: allow-stderr, needs-root, isolation-machine
+
+# This test doesn't replace the cryptroot-* tests below which mock a
+# complete system incl. unlocking at initramfs stage, but it's also
+# significantly faster so we use it for crude checks of our initramfs
+# hook and the initramfs image itself.
+Tests: initramfs-hook
+Depends: cryptsetup-initramfs, e2fsprogs, zstd
+Restrictions: allow-stderr, needs-root, isolation-machine
+
+# cryptroot-* tests need porting to Ubuntu: https://launchpad.net/bugs/1983522
+Tests: cryptroot-lvm, cryptroot-legacy
+# Only dependencies required to set the VM here are listed here;
+# cryptsetup is not listed since we only install it in the VM.
+Depends: cryptsetup-bin,
+         dosfstools [arm64 armhf],
+         fdisk,
+         genext2fs,
+         initramfs-tools-core,
+         lvm2,
+         qemu-efi-aarch64 [arm64],
+         qemu-efi-arm [armhf],
+         qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
+         udev
+# We only need root to create /dev/kvm, really.  And while it works
+# locally and on debci, it doesn't work on salsa CI..
+Restrictions: allow-stderr, needs-root
+Architecture: none # amd64 i386
+
+Tests: cryptroot-md
+Depends: cryptsetup-bin,
+         dosfstools [arm64 armhf],
+         fdisk,
+         genext2fs,
+         initramfs-tools-core,
+         lvm2,
+         mdadm,
+         qemu-efi-aarch64 [arm64],
+         qemu-efi-arm [armhf],
+         qemu-system-arm [arm64 armhf] | qemu-system-x86 [amd64 i386] | qemu-system,
+         udev
+Restrictions: allow-stderr, needs-root
+Architecture: amd64 i386
+
+Tests: cryptroot-nested
+Depends: btrfs-progs,
+         cryptsetup-bin,
+         dosfstools [arm64 armhf],
+         fdisk,
+         genext2fs,
